<div id="view-port" data-mode="<?php print $mode ?>">
	<?php
	if ($mode === 1) {
		echo form::open('sysnagios/submit_host', array('id' => 'new_host_form'));
		?>
		<div id="forms">
			<h1><?php echo _('Generate config for new host(s)'); ?></h1>
			<p>&nbsp;</p>
			<table style="width: 30%">
				<tr><th colspan="2"><?php echo _("Generate config for new host(s)") ?></th></tr>
				<tr class="even">
					<td><?php echo help::render('host'); ?> &nbsp; <label for="host_address"><?php echo _('Hostname/ip/fqdn') ?></label></td>
					<td><?php echo form::input('host_address', ''); ?></td>
				</tr>
				<tr class="odd">
					<td><?php echo help::render('node'); ?> &nbsp; <label for="node"><?php echo _('Node') ?></label></td>
					<td>
						<?php
						if (isset($nodes)) {
							echo form::dropdown('node', $nodes);
						} else {
							echo "No nodes configured";
						}
						?>
					</td>
				</tr>
				<tr class="even">
					<td colspan="2">
						<?php echo form::button('Submit', _('Submit'));
						echo "&nbsp;" . form::input(array("type" => "reset", "name" => "reset_form"), _('Reset'));
						?>

					</td>
				</tr>
			</table>
		</div>
		<?php echo form::close(); ?>
		<?php echo form::open('', array('id' => 'output_form')); ?>
		<div id="script_output_div">
			<table style="width: 30%; margin-top: 10px;">
				<tr><th><?php echo _("Script Output"); ?>&nbsp;<img src="/monitor/application/media/images/loading_small.gif" id="loading_gif" style="display: none;"></th></tr>
				<tr class="even">
					<td>
						<?php
						echo form::textarea('script_output');
						?>
					</td>
				</tr>
				<tr class="odd">
					<td>
						<?php
							echo form::button('clear_output_button', _('Clear output'));
							echo "&nbsp;" . form::button('force_unlock_button', _('Force unlock'));
						?>
					</td>
				</tr>
			</table>
		</div>
	<?php
		echo form::close();
	} elseif ($mode === 2) {
		echo form::open('sysnagios/submit_host', array('id' => 'existing_host_form'));
		?>
		<div id="forms">
			<h1><?php echo _('Generate config for existing host'); ?></h1>
			<p>&nbsp;</p>
			<table style="width: 30%">
				<tr><th colspan="2"><?php echo _("Generate config for existing host") ?></th></tr>
				<tr class="even">
					<td><?php echo help::render('host'); ?> &nbsp; <label for="host_address"><?php echo _('Hostname/ip/fqdn') ?></label></td>
					<td><?php echo form::input(array('name' => 'host_address', 'id' => 'host_address', 'readonly' => 'readonly'), $host); ?></td>
				</tr>
				<tr class="odd">
					<td><?php echo help::render('node'); ?> &nbsp; <label for="node"><?php echo _('Node') ?></label></td>
					<td>
						<?php
							echo form::dropdown('node', $nodes);
						?>
					</td>
				</tr>
				<tr class="even">
					<td colspan="2">
						<?php echo form::button('Submit', _('Submit')); ?>

					</td>
				</tr>
			</table>
		</div>
		<?php echo form::close(); ?>
		<?php echo form::open('', array('id' => 'output_form')); ?>
		<div id="script_output_div">
			<table style="width: 30%; margin-top: 10px;">
				<tr><th><?php echo _("Script Output"); ?>&nbsp;<img src="/monitor/application/media/images/loading_small.gif" id="loading_gif" style="display: none;"></th></tr>
				<tr class="even">
					<td>
						<?php
						echo form::textarea('script_output');
						?>
					</td>
				</tr>
				<tr class="odd">
					<td>
						<?php
							echo form::button('clear_output_button', _('Clear output'));
							echo "&nbsp;" . form::button('force_unlock_button', _('Force unlock'));
						?>
					</td>
				</tr>
			</table>
		</div>
	<?php
		echo form::close();
	}
	?>
</div>
